apiVersion: operator.victoriametrics.com/v1beta1
kind: VMPodScrape
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"monitoring.coreos.com/v1","kind":"PodMonitor","metadata":{"annotations":{},"labels":{"monitoring":"istio-proxies","release":"istio"},"name":"envoy-stats-monitor","namespace":"istio-system"},"spec":{"jobLabel":"envoy-stats","namespaceSelector":{"any":true},"podMetricsEndpoints":[{"interval":"15s","path":"/stats/prometheus","relabelings":[{"action":"keep","regex":"istio-proxy","sourceLabels":["__meta_kubernetes_pod_container_name"]},{"action":"keep","sourceLabels":["__meta_kubernetes_pod_annotationpresent_prometheus_io_scrape"]},{"action":"replace","regex":"(\\d+);(([A-Fa-f0-9]{1,4}::?){1,7}[A-Fa-f0-9]{1,4})","replacement":"[$2]:$1","sourceLabels":["__meta_kubernetes_pod_annotation_prometheus_io_port","__meta_kubernetes_pod_ip"],"targetLabel":"__address__"},{"action":"replace","regex":"(\\d+);((([0-9]+?)(\\.|$)){4})","replacement":"$2:$1","sourceLabels":["__meta_kubernetes_pod_annotation_prometheus_io_port","__meta_kubernetes_pod_ip"],"targetLabel":"__address__"},{"action":"labeldrop","regex":"__meta_kubernetes_pod_label_(.+)"},{"action":"replace","sourceLabels":["__meta_kubernetes_namespace"],"targetLabel":"namespace"},{"action":"replace","sourceLabels":["__meta_kubernetes_pod_name"],"targetLabel":"pod_name"}]}],"selector":{"matchExpressions":[{"key":"istio-prometheus-ignore","operator":"DoesNotExist"}]}}}
  creationTimestamp: '2023-02-21T14:24:37Z'
  generation: 17
  labels:
    monitoring: istio-proxies
    release: istio
  managedFields:
    - apiVersion: operator.victoriametrics.com/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubectl.kubernetes.io/last-applied-configuration: {}
          f:labels:
            .: {}
            f:monitoring: {}
            f:release: {}
        f:spec:
          .: {}
          f:jobLabel: {}
          f:namespaceSelector:
            .: {}
            f:any: {}
          f:podMetricsEndpoints: {}
          f:selector:
            .: {}
            f:matchExpressions: {}
      manager: manager
      operation: Update
      time: '2023-02-21T14:24:37Z'
  name: envoy-stats-monitor
  namespace: istio-system
  resourceVersion: '23377492'
  uid: 5cb9a0cb-686c-4ca3-9cd2-a83921935dcc
  selfLink: >-
    /apis/operator.victoriametrics.com/v1beta1/namespaces/istio-system/vmpodscrapes/envoy-stats-monitor
spec:
  jobLabel: envoy-stats
  namespaceSelector:
    any: true
  podMetricsEndpoints:
    - attach_metadata: {}
      interval: 15s
      path: /stats/prometheus
      relabelConfigs:
        - action: keep
          regex: istio-proxy
          sourceLabels:
            - __meta_kubernetes_pod_container_name
        - action: keep
          sourceLabels:
            - __meta_kubernetes_pod_annotationpresent_prometheus_io_scrape
        - action: replace
          regex: (\d+);(([A-Fa-f0-9]{1,4}::?){1,7}[A-Fa-f0-9]{1,4})
          replacement: '[$2]:$1'
          sourceLabels:
            - __meta_kubernetes_pod_annotation_prometheus_io_port
            - __meta_kubernetes_pod_ip
          targetLabel: __address__
        - action: replace
          regex: (\d+);((([0-9]+?)(\.|$)){4})
          replacement: $2:$1
          sourceLabels:
            - __meta_kubernetes_pod_annotation_prometheus_io_port
            - __meta_kubernetes_pod_ip
          targetLabel: __address__
        - action: labeldrop
          regex: __meta_kubernetes_pod_label_(.+)
        - action: replace
          sourceLabels:
            - __meta_kubernetes_namespace
          targetLabel: namespace
        - action: replace
          sourceLabels:
            - __meta_kubernetes_pod_name
          targetLabel: pod_name
        - action: keep_if_equal
          source_labels: [__meta_kubernetes_pod_annotation_prometheus_io_port, __meta_kubernetes_pod_container_port_number]
  selector:
    matchExpressions:
      - key: istio-prometheus-ignore
        operator: DoesNotExist